#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

/* Debug console */
#include "fsl_debug_console.h"

int main(void) {
    BOARD_InitBootPins();
    BOARD_InitBootClocks();
    BOARD_InitBootPeripherals();
    BOARD_ConfigMPU();

    BOARD_InitDebugConsole();

    CLOCK_SetMode(kCLOCK_ModeRun);

    GPIO_WritePinOutput(BOARD_INITLEDPINS_LED_R_GPIO, BOARD_INITLEDPINS_LED_R_PIN, 1U);
    GPIO_WritePinOutput(BOARD_INITLEDPINS_LED_G_GPIO, BOARD_INITLEDPINS_LED_G_PIN, 1U);
    GPIO_WritePinOutput(BOARD_INITLEDPINS_LED_B_GPIO, BOARD_INITLEDPINS_LED_B_PIN, 1U);

    PRINTF("SmartCar!\r\n");
    PRINTF("CPU frequency: %d\r\n", CLOCK_GetCoreSysClkFreq());

    for (;;) {
        __WFI();
    }
}
